<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->
<!--
  =============================================================================
    Shows how to copy specific jboss config files when using the JBoss plugin.
  =============================================================================
-->
<project>

  <preGoal name="jboss:configure">
    <copy todir="${maven.build.dir}/appconf">
      <fileset dir="conf/${env.name}/application"/>
    </copy>
    <copy todir="${maven.build.dir}/jboss/conf">
      <fileset dir="conf/${env.name}/jboss/conf"/>
    </copy>
    <copy todir="${maven.build.dir}/jboss/deploy">
      <fileset dir="conf/${env.name}/jboss/deploy"/>
    </copy>
  </preGoal>

</project>
